Skip to contents

# Download REDCap data

`read_redcap_data.Rd`

Wrapper function for using REDCapR::redcap_read and REDCapRITS::REDCap_split including some clean-up. Handles

## Usage

    read_redcap_data(
      uri,
      token,
      records = NULL,
      fields = NULL,
      events = NULL,
      forms = NULL,
      generics = c("record_id", "redcap_event_name", "redcap_repeat_instrument",
        "redcap_repeat_instance")
    )

## Arguments

uri

  REDCap database uri

token

  API token

records

  records to download

fields

  fields to download

events

  events to download

forms

  forms to download

generics

  vector of auto-generated generic variable names to ignore when discarding empty rows

## Value

list of instruments

## Examples

    # Examples will be provided later